# Uses of Class
org.apache.sysds.api.mlcontext.MLContext

Packages that use MLContext
Package
Description
org.apache.sysds.api.mlcontext
org.apache.sysds.utils

## Uses of MLContext in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return MLContext
Modifier and Type
Method
Description
`static MLContext`
MLContext.`getActiveMLContext()`
Retrieve the currently active MLContext.
Methods in org.apache.sysds.api.mlcontext with parameters of type MLContext
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaSparkContext`
MLContextUtil.`getJavaSparkContext(MLContext mlContext)`
Obtain the Java Spark Context
`static org.apache.spark.SparkContext`
MLContextUtil.`getSparkContext(MLContext mlContext)`
Obtain the Spark Context

## Uses of MLContext in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return MLContext
Modifier and Type
Method
Description
`static MLContext`
MLContextProxy.`getActiveMLContext()`
`static MLContext`
MLContextProxy.`getActiveMLContextForAPI()`